unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ImgList, ComCtrls, ToolWin, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ImageList2: TImageList;
    ToolBar2: TToolBar;
    ImageList1: TImageList;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    Shape1: TShape;
    Label1: TLabel;
    Shape2: TShape;
    Label2: TLabel;
    ColorDialog1: TColorDialog;
    SaveDialog1: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton5Click(Sender: TObject);
    procedure ToolButton7Click(Sender: TObject);
  private
    { Private declarations }
    Lienzo : TCanvas;
    Hx,Hy  : integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Lienzo := Image1.Canvas;
  Hx := Image1.Width;
  Hy := Image1.Height;
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
var
  x,y, L, k : integer;
begin
  // cuadros
  // 400 x 400 area de trabajo
  x := 20; y := 20; L := Image1.Width;

  for k := 0 to 8 do begin
    Lienzo.MoveTo(x,y);
    Lienzo.LineTo(L-x,y);    // derecha
    Lienzo.LineTo(L-x,L-y);  // abajo
    Lienzo.LineTo(x,L-y);    // izquierda
    Lienzo.LineTo(x,y);      // arriba
    inc(x,20); y := x;
  end;

end;

// circulos
procedure TForm1.ToolButton2Click(Sender: TObject);
var
  cx,cy,R,k  : integer;
begin
  cx := round(Hx/2);
  cy := round(Hy/2);

  R := 175;
  for k := 0 to 8 do begin
    Lienzo.Ellipse(cx-R,cy-R,cx+R,cy+R);
    dec(R,20);
  end;
end;

// limpiar
procedure TForm1.ToolButton3Click(Sender: TObject);
begin
  Lienzo.Rectangle(-1,-1,Hx+1,Hy+1);
end;

// pluma
procedure TForm1.ToolButton4Click(Sender: TObject);
var
  col : integer;
begin
  if ColorDialog1.Execute then begin
    col := ColorDialog1.Color;
    Lienzo.Pen.Color   := col;
    Shape1.Brush.Color := col;
 end;
end;

// brocha
procedure TForm1.ToolButton5Click(Sender: TObject);
var
  col : integer;
begin
  if ColorDialog1.Execute then begin
    col := ColorDialog1.Color;
    Lienzo.Brush.Color := col;
    Shape2.Brush.Color := col;
 end;
end;

procedure TForm1.ToolButton7Click(Sender: TObject);
var
 nom : string;
begin
  if SaveDialog1.Execute then begin
    nom := SaveDialog1.FileName;
    Image1.Picture.SaveToFile(nom);
  end;
end;

end.
